---
title: OfflineAudioContext.resume()
slug: Web/API/OfflineAudioContext/resume
tags:
  - API
  - Method
  - NeedsExample
  - OfflineAudioContext
  - Reference
  - Web Audio API
  - resume
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <strong><code>resume()</code></strong> method of the {{domxref("OfflineAudioContext")}} interface resumes the progression of time in an audio context that has been suspended. The promise resolves immediately because the <code>OfflineAudioContext</code> does not require the audio hardware. If the context is not currently suspended or the rendering has not started, the promise is rejected with {{exception("InvalidStateError")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">OfflineAudioContext.resume().then(function() { ... });</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} resolving to void.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>The promise is rejected when the following exception is encountered.</p>

<ul>
 <li>{{exception("InvalidStateError")}}  if the context is not currently suspended or the rendering has not started. </li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Audio API", "#dom-offlineaudiocontext-resume", "resume()")}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.OfflineAudioContext.resume")}}</p>
</div>
